{ config, pkgs, lib, ... }:
let
  swayConfig = pkgs.writeText "greetd-sway-config" ''
    exec "${pkgs.greetd.gtkgreet}/bin/gtkgreet -l; swaymsg exit"
    bindsym Mod4+shift+e exec swaynag \
      -t warning \
      -m "what you want do :3" \
      -b "Poweroff" "systemctl poweroff" \
      -b "Reboot" "systemctl reboot"
   '';
in
{
  environment.systemPackages = with pkgs; [
    grim
    sway-contrib.grimshot
    wl-clipboard
    mako
  ];

  services.gnome.gnome-keyring.enable = true;

  programs.sway = {
    enable = true;
    wrapperFeatures.gtk = true;
  };

  services.greetd = {
    enable = true;
    settings = {
      default_session = {
        command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --cmd 'sway --unsupported-gpu'";
        #command = "${pkgs.sway}/bin/sway --unsupported-gpu --config ${swayConfig}";
        user = "regent";
      };
    };
  };
}
